# Aidge CPU library

You can find in this folder the library that implements the CPU operators. <br>
Those operators can be used on any machine with an Linux OS.

So far be sure to have the correct requirements to use this library
- GCC
- Make
- CMake
- Python (optional, if you have no intend to use this library in python with pybind)


## Compilation

You will need to compile first the Core library before compiling the CPU one.
The makefile is designed to do it for you.

To only compile the CPU library, run
```
make cpu_only
```

To compile the CPU library + the associated unitary tests, run
```
make cpu_tests
```

To compile the CPU library with the python binding, run
```
make cpu_with_pybind
```
Important: this command can also be run with `make`.


To compile the CPU library with the python binding + the associated unitary tests, run
```
make cpu_with_pybind_tests
```